﻿using CoreModels.Tools;
using System;
using ToolsModule.ManagmentEntity;

namespace CoreModels.ModelsDepartment
{
    [EntityDescription("AcademicPlan", "Учебный план кафедры (на каждый учебный год новый план)")]
    [EntityDependency("EducationDirection", "EducationDirectionId", "Направление, к которму относится учебный план")]
    public interface IAcademicPlanModel : IId
    {
        Guid? EducationDirectionId { get; }

        int YearEntrance { get; }

        int YearFinish { get; }
    }
}