﻿using CoreModels.Tools;
using System;
using ToolsModule.ManagmentEntity;

namespace CoreModels.ModelsDepartment
{
    [EntityDescription("Discipline", "Дисципилна кафедры")]
    [EntityDependency("DisciplineBlock", "DisciplineBlockId", "Блок дисцпилн, к которому относится дисциплина")]
    public interface IDisciplineModel : IId
    {
        Guid DisciplineBlockId { get; }

        string DisciplineName { get; }

        string DisciplineShortName { get; }

        string Description { get; }

        string DisciplineBlueAsteriskName { get; }
    }
}