﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.Services.IGenericEntityService;
using DepartmentContract.ViewModels;
using ToolsModule.ManagmentEntity;
using ToolsModule.ManagmentSecurity;

namespace DepartmentBusinessLogic.BusinessLogics.GenericBusinessLogic
{
    /// <summary>
    /// Логика работы с преподавателями
    /// </summary>
    public class LecturerBusinessLogic : GenericBusinessLogic<LecturerGetBindingModel, LecturerSetBindingModel, LecturerListViewModel, LecturerViewModel>, ILecturerLogic
	{
		public LecturerBusinessLogic(ILecturerService service) : base(service, "Преподаватели", AccessOperation.Преподаватели) { }
	}
}