﻿using DepartmentContract.BindingModels;
using DepartmentContract.ViewModels;
using ToolsModule.ManagmentEntity;

namespace DepartmentContract.Logics.IGenericEntityLogic
{
    /// <summary>
    /// Логика работы с учебными планами
    /// </summary>
    public interface IAcademicPlanLogic : IGenericEntityLogic<AcademicPlanGetBindingModel, AcademicPlanSetBindingModel, AcademicPlanListViewModel, AcademicPlanViewModel> 
    {
        bool LoadPlx(AcademicPlanLoadPlxModel model);
    }
}